This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 851441 - Introduce new systemd-rpm macros in vsftpd spec file
Introduce new systemd-rpm macros in vsftpd spec file
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: vsftpd (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jiri Skala
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 850016
  Show dependency treegraph
 
Reported: 2012-08-24 04:16 EDT by Václav Pavlín
Modified: 2014-11-09 17:35 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-23 02:17:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch replaces scriptlets with new systemd macros (1.15 KB, patch)
2012-08-24 04:22 EDT, Václav Pavlín
no flags Details | Diff

  None (edit)
Description Václav Pavlín 2012-08-24 04:16:25 EDT
Fedora 18 changes the way how to work with services in spec files. It introduces new macros - %systemd_post, %systemd_preun and %systemd_postun; which replace scriptlets from Fedora 17 and older (see https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd, https://bugzilla.redhat.com/show_bug.cgi?id=850016).
Comment 1 Václav Pavlín 2012-08-24 04:22:49 EDT
Created attachment 606788 [details]
Patch replaces scriptlets with new systemd macros

I thought about removing %triggerun and %triggerpostun macros, but was not sure if they are still needed (as we do not support Fedora 15 anymore). Please think about it when/if you will be applying the patch.
Comment 2 Fedora Update System 2012-09-19 07:34:14 EDT
vsftpd-3.0.2-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/vsftpd-3.0.2-1.fc18
Comment 3 Fedora Update System 2012-09-20 02:00:21 EDT
Package vsftpd-3.0.2-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing vsftpd-3.0.2-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14412/vsftpd-3.0.2-1.fc18
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-11-23 02:17:44 EST
vsftpd-3.0.2-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.